/*
 * This file has been developed at the University of Munich, Chair for Programming & Software Engineering.
 * 
 * This file is licensed under the Eclipse Public License (EPL) 1.0
 * 
 */
package eu.uml4soa.utbm.ui.md.ui;


public class SelectableElement {

	private String fName;

	private Object fPayload;

	public SelectableElement(String name, Object payload) {
		fName= name;
		fPayload= payload;
	}

	public String getName() {
		return fName;
	}

	@Override
	public String toString() {
		return getName();
	}

	public Object getData() {
		return fPayload;
	}

}
